Skip to main content

This content has been archived and is no longer being updated. Links may not function; however, this content may be relevant to outdated versions of the product.

Support Article

Newer rule error in logfile during update

SA-33655

Summary



While updating from Pega 7.1.7 to 7.2.2, the update log file contains an error message to contact Pega Support


Error Messages



Verify ML Readiness:
System meets basic requirements for update to 07-10-27
PRPC_Rules build date: 2016-12-01 21.13 UTC

The following rules were updated after this release was built:
pzinskey pxUpdateDateTime
RULE-UTILITY-FUNCTION UTILITIES PZADDHISTORYMEMOFORSCALAR #20170102T231726.052 GMT 2017-01-02 13:19:22.1

These instances may not be found by rule resolution after updating.
Please contact Pega Support to evaluate whether to continue the update process.


Steps to Reproduce



Run update.bat --force=true


Root Cause



A hotfix was installed on pre-upgrade system that is more recent than the update build.


Resolution



Here’s the explanation for the reported behavior:

The hotfix is newer than the version of Pega 7 that is being upgraded to. If the hotfix contains new functionality, determine when that is fixed in the latest version of Pega 7 and if it needs to be ported back to the upgraded version.
Suggest Edit

Published March 10, 2017 - Updated October 8, 2020

Did you find this content helpful? Yes No

Have a question? Get answers now.

Visit the Collaboration Center to ask questions, engage in discussions, share ideas, and help others.

We'd prefer it if you saw us at our best.

Pega Community has detected you are using a browser which may prevent you from experiencing the site as intended. To improve your experience, please update your browser.

Close Deprecation Notice
Contact us